package com.steerinfo.baseinfo.combaseinfo.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.combaseinfo.model.ComBaseInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * ComBaseInfo服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-05 06:15
 * 类描述
 * 修订历史：
 * 日期：2020-06-05
 * 作者：generator
 * 参考：
 * 描述：ComBaseInfo服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IComBaseInfoService extends IBaseService<ComBaseInfo, String>{

     String  checkandadd(ComBaseInfo model)throws  Exception;

     String checkAndUpdate(String id,ComBaseInfo model) throws Exception;

     String Recovery(List<ComBaseInfo> models) throws Exception;

     String abolish(List<ComBaseInfo> models) throws Exception;

    List<ComBaseInfo> selectSpoType();

    List<ComBaseInfo> selectVideoType();

    List<ComBaseInfo> selectVideoMark(String baseName,String baseCode) throws Exception;

    List<ComBaseInfo> queryAll(Map<String, Object> parameters);

    RESTfulResult executeSqlDataWf(String sql);

    /**
     * 客户端更新数据
     * @param model
     * @return
     */
    String doUpdateWf(ComBaseInfo model);

    List<ComBaseInfo> measurementLeaderNo(HashMap<String, Object> params);

    String checkManLevel(HashMap<String, Object> map);
}